package cn.com.customization.project;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import com.teamcenter.rac.aif.AbstractAIFUIApplication;
import com.teamcenter.rac.aifrcp.AIFUtility;
import com.teamcenter.rac.util.MessageBox;

public class CreateProjectFolderHandler extends AbstractHandler
{

	public Object execute(ExecutionEvent arg0) throws ExecutionException
	{
		AbstractAIFUIApplication application = AIFUtility.getCurrentApplication();
		try
		{
			new CreateProjectFolderCommand(application,"FolderCreatePro");
		}
		catch (Exception exception)
		{
			MessageBox.post(exception, true);
		}

		return null;
	}
}
